Luxor Documentation Hub Logo
Commander/API Documentation

Create action

Creates a bulk miner action (execution plan) such as reboot, sleep, wake up, or configuration changes.

POST
/v2/commander/actions

Authorization

authorization<token>

Use your API key here.

In: header

Request Body

application/jsonRequired
action_typeRequiredstring

Type of action performed

Value in: "Reboot" | "Sleep" | "Wake Up" | "Change Pool Settings" | "Change ATM Settings"
site_idRequiredstring
Format: "uuid"
miner_idsRequiredarray<string>
batch_sizeinteger
Minimum: 0
time_between_batches_secinteger
Minimum: 0
paramsobject
curl -X POST "https://app.luxor.tech/api/v2/commander/actions" \
  -H "authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "action_type": "Reboot",
    "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",
    "miner_ids": [
      "string"
    ],
    "batch_size": 0,
    "time_between_batches_sec": 0,
    "params": {
      "pools": [
        {
          "priority": 1,
          "username": "string",
          "worker": "string",
          "url": "string"
        }
      ],
      "atm": {
        "enabled": true,
        "startup_minutes": 0,
        "post_ramp_minutes": 0,
        "temp_window": 0,
        "min_profile": "string",
        "max_profile": "string",
        "prevent_oc": true,
        "temp_buffer": 0
      }
    }
  }'

Default Response

{
  "id": "a-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "action_type": "Reboot",
  "status": "PENDING",
  "site_id": "b0a5fad8-1234-5678-9abc-def012345678",
  "created_at": "2026-02-20T12:00:00Z",
  "initiated_by": "user@example.com",
  "total_miners": 10,
  "url": "/v2/commander/actions/a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}